import { getHttp, postHttp } from "../request.js";

/* 研选 */
export const Research = {
  /* 近期更新主题列表接口 */
  researchNewList: (params) => {
    return getHttp("/research/theme/newList", params, 0);
  },
  /* 用户收藏列表接口 */
  researchCollectionList: (params) => {
    return getHttp("/research/collectionList", params, 0);
  },
  /* 主题热度/近期更新更多,列表接口 */
  researchHotList: (params) => {
    return getHttp("/research/hotList", params, 0);
  },
  /* KOL榜列表接口 */
  researchKolList: (params) => {
    return getHttp("/research/kolList", params);
  },
  /* 研选作者详情接口 */
  departmentIdDetail: (params) => {
    return getHttp("/research/departmentId/detail", params, 0);
  },
  /* 研选作者详情接口 */
  researchThemeDetail: (params) => {
    return getHttp("/research/theme/detail", params, 0);
  },
  /* 热搜关键词接口 */
  researchHotKeyWord: (params) => {
    return getHttp("/research/hotKeyWord", params, 0);
  },
  /* 研选文章类型列表 */
  researchArticleTypeList: (params) => {
    return getHttp("/research/article/typeList", params, 0);
  },
  /* 研选最新报告列表 */
  researchArticleNewList: (params) => {
    return getHttp("/research/article/newList", params);
  },
  /* KOL榜列表 */
  researchKolList: (params) => {
    return getHttp("/research/kolList", params);
  },

  /* 买方研选产品介绍 */
  researchIntroduce: (params) => {
    return getHttp("/config/research/introduce", params, 0);
  },
  /* 买方研选报价单 */
  researchQuotation: (params) => {
    return getHttp("/config/research/quotation", params, 0);
  },
  /* 买方研选报价单 */
  researchHB: (params) => {
    return getHttp("/config/research/hb", params, 0);
  },
};
